<?php
//require_once '../vendor/autoload.php';
//    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
//    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);

class Tableros extends Controller{

    public function __construct()
    {

    if(!isLoggedIn()){
            redirect('users/login');
    }
        //new model instance
    $this->Emp_Model = $this->model('Empresa');
    //    $this->estModel = $this->model('Estado');
    //    $this->userModel = $this->model('User');
    //    $this->edifModel = $this->model('Edificio');
    }

    public function index(){
        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

        $emp_aporte=$educadorx->codigo;
        $aprendices =[];
        $aprendicesx = $this->Emp_Model->Emp_Aprendices($emp_aporte);
        //var_dump($aprendicesx);
foreach ($aprendicesx as $materia){

$doc_foto="";
$aprendicesDoc = $this->Emp_Model->Aprendiz_Doc(encrypt_decrypt('encrypt', $materia->cedula));
foreach ($aprendicesDoc as $aprendicesDocx){
if($aprendicesDocx->descripcion=="Foto Aprendiz"){
$doc_foto=$aprendicesDocx->documento;
break;
}
}

    $aprendices[] = [
    'cedula' => $materia->cedula,
    'cid' => encrypt_decrypt('encrypt', $materia->cedula),
    'aprendiz' => $materia->apellidos.' '.$materia->nombres,
    'sexo' => $materia->sexo,
    'edad' => calculaedad($materia->fecha_n),
    'descripcion' => $materia->descripcion.' ('.$materia->codigo.')',
//    'documento' => $materia->documento,
    'documento' => $doc_foto,
    'estatus' => $materia->tag1,
    'f_tag' => $materia->f_tag,
    ];

}
//        var_dump($aprendices);
//        exit;

        $cod=$_SESSION['name'];
        $codemp = [
        'cod' => $cod,
        ];
    setcookie("comp", $cod, time()+43600);
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['razon']);
    echo $twig->render('empresas/index.html.twig', ['codemp' => $codemp,'aprendices' => $aprendices]);
    }

    public function detalles($nro){
        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

        $aprendiz = $this->Emp_Model->Aprendiz_Buscar($nro);
        $nroaprendiz = [
        'nro' => $nro,
        ];

        //var_dump($aprendices);
        //exit;
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['razon']);
    echo $twig->render('empresas/detalles.html.twig', ['aprendiz' => $aprendiz,'nroaprendiz' => $nroaprendiz]);
    }

    public function detalles_notas($nro){
        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

        $aprendiz = $this->Emp_Model->Aprendiz_Buscar($nro);
        $nroaprendiz = [
        'nro' => $nro,
        ];
        $aprendiz_notas = $this->Emp_Model->Aprendiz_Notas($nro);
        //var_dump($aprendices);
        //exit;
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['razon']);
    echo $twig->render('empresas/detalles_nt.html.twig', ['aprendiz_notas' => $aprendiz_notas,'aprendiz' => $aprendiz,'nroaprendiz' => $nroaprendiz]);
    }

    public function detalles_mov($nro){
        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

        $aprendiz = $this->Emp_Model->Aprendiz_Buscar($nro);
        $nroaprendiz = [
        'nro' => $nro,
        ];
        $aprendiz_notas = $this->Emp_Model->Aprendiz_Mov($nro);
        //var_dump($aprendices);
        //exit;
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['razon']);
    echo $twig->render('empresas/detalles_mov.html.twig', ['aprendiz_notas' => $aprendiz_notas,'aprendiz' => $aprendiz,'nroaprendiz' => $nroaprendiz]);
    }
    public function detalles_doc($nro){

        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

        $aprendiz = $this->Emp_Model->Aprendiz_Buscar($nro);
        $nroaprendiz = [
        'nro' => $nro,
        ];
        $aprendiz_notas = $this->Emp_Model->Aprendiz_Doc($nro);
        //var_dump($aprendices);
        //exit;
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['razon']);
    echo $twig->render('empresas/detalles_doc.html.twig', ['aprendiz_notas' => $aprendiz_notas,'aprendiz' => $aprendiz,'nroaprendiz' => $nroaprendiz]);
    }

public function descargar($nro){
$rutas= dirname(dirname(dirname(dirname(__FILE__))));
//$rutas.'/registro/public/images/documentos/'.$valor->documento;
$root = $rutas.'/web/admin/aprendices/empresas/';
//$root = URLROOTW;
$file = $nro;
$path = $root.$file;
$type = '';

//echo $rutas;
//exit;

if (is_file($path)) {
 $size = filesize($path);
 if (function_exists('mime_content_type')) {
 $type = mime_content_type($path);
 } else if (function_exists('finfo_file')) {
 $info = finfo_open(FILEINFO_MIME);
 $type = finfo_file($info, $path);
 finfo_close($info);
 }
 if ($type == '') {
 $type = "application/force-download";
 }
 // Definir headers
 header("Content-Type: $type");
 header("Content-Disposition: attachment; filename=$file");
 header("Content-Transfer-Encoding: binary");
 header("Content-Length: " . $size);
 header('Expires: 0');
 header('Cache-Control: must-revalidate');
 header('Pragma: public');
 // Descargar archivo
 readfile($path);
} else {
 die("El archivo no existe.");
}
}

public function descargar0($nro){
$rutas= dirname(dirname(dirname(dirname(__FILE__))));

//$root=URLROOTI;
//echo $rutas;
//exit;
//$rutas.'/registro/public/images/documentos/'.$valor->documento;
$root = $rutas.'/web/admin/aprendices/imagenes/';
//$root = URLROOTW;
$file = $nro;
$path = $root.$file;
$type = '';

//echo $root;
//exit;

if (is_file($path)) {
 $size = filesize($path);
 if (function_exists('mime_content_type')) {
 $type = mime_content_type($path);
 } else if (function_exists('finfo_file')) {
 $info = finfo_open(FILEINFO_MIME);
 $type = finfo_file($info, $path);
 finfo_close($info);
 }
 if ($type == '') {
 $type = "application/force-download";
 }
 // Definir headers
 header("Content-Type: $type");
 header("Content-Disposition: attachment; filename=$file");
 header("Content-Transfer-Encoding: binary");
 header("Content-Length: " . $size);
 header('Expires: 0');
 header('Cache-Control: must-revalidate');
 header('Pragma: public');
 // Descargar archivo
 readfile($path);
} else {
 die("El archivo no existe.");
}
}

public function imprimir(){
        $id=$_SESSION['session'];

        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

        $empresas = [
        'razon' => $educadorx->razon,
        ];
$desde=$_POST['fdesde'];
$hasta=$_POST['fhasta'];
$orden=$_POST['orden'];


$emp= $educadorx->codigo;


$aprendices_temp = $this->Emp_Model->Emp_Aprendices($emp);


/*     foreach ($aprendices_temp as $aprendices2){

    }       */
//var_dump($aprendices_temp);
//
$aprendiz = json_decode(json_encode ( $aprendices_temp ) , true);
//var_dump($aprendices2);
//exit;

    $mov_temp = $this->Emp_Model->Mov_Buscar($_POST);
    $mov = json_decode(json_encode ( $mov_temp ) , true);

//$aprendiz_cedulas = array_column($mov, 'cedula');
//var_dump($mov);
//exit;
$i=0;

foreach ($mov as $mov_cedulas2){  
foreach ($aprendiz as $aprendiz_cedulas2){
$i++;



    if($aprendiz_cedulas2['cedula']==$mov_cedulas2['cedula']){
//    echo  $mov_cedulas2['id']."-".$mov_cedulas2['cedula']."<br>";
     $programas[] = [
    'cedula' => $mov_cedulas2['cedula'],
    'aprendiz' => $mov_cedulas2['apellidos'].' '.$mov_cedulas2['nombres'],
   'tipo' => $mov_cedulas2['tipo'],
    'fecha' => $mov_cedulas2['fecha'],
    'motivo' => $mov_cedulas2['motivo'],
//  'edad' => calculaedad($materia->fecha_n),
    ];
    }
/*//echo  $aprendices22['cedula'];
$indice = array_search($aprendices22['cedula'],$aprendiz_cedulas,false);

echo "El n�mero $indice est� en el indice: " . $aprendices22['cedula'].' ** '.$indice."<br>";
*/
}
}
//var_dump($mov);
//echo "<br><br><br>";

//    EXIT;
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
   // $layout = $twig->load('inc/base.html.twig');
    $html= $twig->render('empresas/imprimir_mov.html.twig', ['empresas' => $empresas,'programas' => $programas]);

                $pdfOptions = new Dompdf\Options();
                $pdfOptions->set('defaultFont', 'Arial');
                $pdfOptions->set('isRemoteEnabled',true);

    //       Instantiate Dompdf with our options
                $dompdf = new Dompdf\Dompdf($pdfOptions);
                $dompdf->set_paper('Legal', 'landscape');
    //  $dompdf = new Dompdf();
                $dompdf->loadHtml($html);
                $dompdf->render();
                $dompdf->stream("MOV_APRENDICES.pdf", ["Attachment" => false]);

}

public function asistencia(){
        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

$accion=$_POST['accion'];
$_SESSION['anho']=$_POST['anho'];
$_SESSION['mes']=$_POST['mes'];

if($accion=="Instituto"){
$this->asistencia_instituto_rpt();
}else{
$this->asistencia_empresa();
}
}


public function asistencia_grabar(){

        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

$data=$_POST;
$_POST=[];
$emp=$data['codemp'];
$dia=$data['coddia'];
$mes=$data['codmes'];
$anho=$data['codanho'];

$emp_aporte=$educadorx->codigo;

        //$aprendices =[];
        $asistencia_emp = $this->Emp_Model->asistencia_buscar_emp($anho,$mes,$emp);
        //var_dump(count($asistencia_emp));
        //exit;

for ($i = 0; $i < count($data['asist_ced']); $i++) {
//echo $data['asist_ced'][$i].' -- '.$data['asist_dia'][$i].'<br>';
$cedula=$data['asist_ced'][$i];
$valor=$data['asist_dia'][$i];
            $consigue="N";
            foreach ($asistencia_emp as $aprendices){

            if($data['asist_ced'][$i]==$aprendices->cedula){
                $idd=$aprendices->id;
                $consigue="S";
                break;
            }
            }
        if($consigue=="N"){
        $this->Emp_Model->asistencia_grabar($cedula,$anho,$mes,$emp,$dia,$valor);
        }else{
        $this->Emp_Model->asistencia_actualizar($idd,$dia,$valor);
        }

}
redirect('tableros/asistencia_empresa');
}

public function asistencia_nueva(){
        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

        $mes = $_POST['codmes'];
        $anho = $_POST['codanho'];
        $dias = $_POST['coddia'];

$emp_aporte=$educadorx->codigo;

$aprendices_mes = $this->Emp_Model->asistencia_buscar_emp_dia($anho,$mes,$dias,$emp_aporte);
$array_aprendices_mes = json_decode(json_encode($aprendices_mes),true);
$cantidad=count($array_aprendices_mes);

        $aprendices =[];
        $aprendicesx = $this->Emp_Model->Emp_Aprendices($emp_aporte);
//var_dump($aprendicesx);
//exit;
foreach ($aprendicesx as $materia){
if($cantidad>0){
//echo "Mayor a 0";
for ($i = 0; $i < count($array_aprendices_mes); $i++) {
    $consigue="N";
    if($materia->cedula==$array_aprendices_mes[$i]['cedula']){
    $aprendices[] = [
    'cedula' => $materia->cedula,
    'aprendiz' => $materia->apellidos.' '.$materia->nombres,
    'dias' => $array_aprendices_mes[$i],
    'estatus' => $materia->tag1,
    'f_tag' => $materia->f_tag,
    ];
    $consigue="S";
    //echo $materia->cedula.' -- S <br>';
    break;
    }

}
    if($consigue=="N"){
    $aprendices[] = [
    'cedula' => $materia->cedula,
    'aprendiz' => $materia->apellidos.' '.$materia->nombres,
    'dias' => $array_aprendices_mes[$i],
    'estatus' => $materia->tag1,
    'f_tag' => $materia->f_tag,
    ];
     echo $materia->cedula.' -- N <br>';
    }

}else{
//echo "igual a 0";
    $aprendices[] = [
    'cedula' => $materia->cedula,
    'aprendiz' => $materia->apellidos.' '.$materia->nombres,
    'dias' => "",
    'estatus' => $materia->tag1,
    'f_tag' => $materia->f_tag,
    ];
}
}
//print_r($aprendices);
//exit;



////////////////////////////////

        $cod=$_SESSION['name'];
        $codemp = [
        'cod' => $cod,
        'mes' => $_POST['codmes'],
        'anho' => $_POST['codanho'],
        'dias' =>$_POST['coddia'],
        ];
    //setcookie("comp", $cod, time()+43600);
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['razon']);
    echo $twig->render('empresas/asistencia_nva.html.twig', ['codemp' => $codemp,'aprendices' => $aprendices]);
}

public function asistencia_instituto(){
        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

$emp_aporte=$educadorx->codigo;

//$anho=$_POST['anho'];
//$mes=$_POST['mes'];

$anho=$_SESSION['anho'];
$mes=$_SESSION['mes'];

 //////////////
$anomas1=intval($anho);
$mesx=intval($mes)+1;
        if($mesx>12){
        $mesfin=1;
        $anomas1=intval($ano)+1;
        }else{
        $mesfin=$mesx;
        }

$mesmas1 = str_pad($mesfin, 2, "0", STR_PAD_LEFT);
$fechaprox = $anomas1.'-'.$mesmas1.'-01';

        $end_fecha = strtotime($fechaprox);

        $fecha_final1 = $end_fecha - 86400;
//echo $fecha_final1.'----';
        $dias_final = date("d",$fecha_final1);
//echo $fecha_final2.'----';
//        exit;

/////////////

$aprendices_listado = $this->aprendices_listado_instituto($anho,$mes,$emp_aporte);

/*$aprendices_mes = $this->Emp_Model->asistencia_buscar_emp($anho,$mes,$emp_aporte);
$array_aprendices_mes = json_decode(json_encode($aprendices_mes),true);

        $aprendices =[];
        $aprendicesx = $this->Emp_Model->Emp_Aprendices($emp_aporte);

foreach ($aprendicesx as $materia){
for ($i = 0; $i < count($array_aprendices_mes); $i++) {
    if($materia->cedula==$array_aprendices_mes[$i]['cedula']){
    $aprendices[] = [
    'cedula' => $materia->cedula,
    'aprendiz' => $materia->apellidos.' '.$materia->nombres,
    'dias' => $array_aprendices_mes[$i],
        'estatus' => $materia->tag1,
    'f_tag' => $materia->f_tag,
    ];
    }
}
}*/
/////////////

        $cod=$_SESSION['name'];
        $codemp = [
        'cod' => $cod,
        'mes' => $mes,
        'anho' => $anho,
        'dias' =>$dias_final,
        ];
    //setcookie("comp", $cod, time()+43600);
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['razon']);
    $twig->addExtension(new \Twig_Extension_Debug());
    echo $twig->render('empresas/asistencia_emp.html.twig', ['codemp' => $codemp,'aprendices' => $aprendices_listado]);
}

public function asistencia_empresa(){
        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

$emp_aporte=$educadorx->codigo;

//$anho=$_POST['anho'];
//$mes=$_POST['mes'];

$anho=$_SESSION['anho'];
$mes=$_SESSION['mes'];

 //////////////
$anomas1=intval($anho);
$mesx=intval($mes)+1;
        if($mesx>12){
        $mesfin=1;
        $anomas1=intval($ano)+1;
        }else{
        $mesfin=$mesx;
        }

$mesmas1 = str_pad($mesfin, 2, "0", STR_PAD_LEFT);
$fechaprox = $anomas1.'-'.$mesmas1.'-01';

        $end_fecha = strtotime($fechaprox);

        $fecha_final1 = $end_fecha - 86400;
//echo $fecha_final1.'----';
        $dias_final = date("d",$fecha_final1);
//echo $fecha_final2.'----';
//        exit;

/////////////

$aprendices_listado = $this->aprendices_listado($anho,$mes,$emp_aporte);

/*$aprendices_mes = $this->Emp_Model->asistencia_buscar_emp($anho,$mes,$emp_aporte);
$array_aprendices_mes = json_decode(json_encode($aprendices_mes),true);

        $aprendices =[];
        $aprendicesx = $this->Emp_Model->Emp_Aprendices($emp_aporte);

foreach ($aprendicesx as $materia){
for ($i = 0; $i < count($array_aprendices_mes); $i++) {
    if($materia->cedula==$array_aprendices_mes[$i]['cedula']){
    $aprendices[] = [
    'cedula' => $materia->cedula,
    'aprendiz' => $materia->apellidos.' '.$materia->nombres,
    'dias' => $array_aprendices_mes[$i],
        'estatus' => $materia->tag1,
    'f_tag' => $materia->f_tag,
    ];
    }
}
}*/
/////////////

        $cod=$_SESSION['name'];
        $codemp = [
        'cod' => $cod,
        'mes' => $mes,
        'anho' => $anho,
        'dias' =>$dias_final,
        ];
    //setcookie("comp", $cod, time()+43600);
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
    $twig->addGlobal('names',$_SESSION['razon']);
    //$twig->addExtension(new \Twig_Extension_Debug());
    $twig->addExtension(new \Twig\Extension\DebugExtension());
    echo $twig->render('empresas/asistencia_emp.html.twig', ['codemp' => $codemp,'aprendices' => $aprendices_listado]);
}

public function asistencia_instituto_rpt000(){
        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

$emp_aporte=$educadorx->codigo;
$emp_razon=$educadorx->razon;

//$anho=$_POST['anho'];
//$mes=$_POST['mes'];

$anho=$_SESSION['anho'];
$mes=$_SESSION['mes'];

 //////////////
$anomas1=intval($anho);
$mesx=intval($mes)+1;
        if($mesx>12){
        $mesfin=1;
        $anomas1=intval($ano)+1;
        }else{
        $mesfin=$mesx;
        }

$mesmas1 = str_pad($mesfin, 2, "0", STR_PAD_LEFT);
$fechaprox = $anomas1.'-'.$mesmas1.'-01';

        $end_fecha = strtotime($fechaprox);

        $fecha_final1 = $end_fecha - 86400;
//echo $fecha_final1.'----';
        $dias_final = date("d",$fecha_final1);
//echo $fecha_final2.'----';
//        exit;

/////////////

$aprendices_listado = $this->aprendices_listado_instituto($anho,$mes,$emp_aporte);

/////////////

        $cod=$_SESSION['name'];
        $codemp = [
        'cod' => $cod,
        'mes' => $mes,
        'anho' => $anho,
        'dias' =>$dias_final,
        'razon' => $emp_razon,
        ];
    //setcookie("comp", $cod, time()+43600);
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
//    $twig->addExtension(new \Twig_Extension_Debug());
    $html= $twig->render('empresas/asistencia_instituto_rpt.html.twig', ['codemp' => $codemp,'aprendices' => $aprendices_listado]);

//exit;
                $pdfOptions = new Dompdf\Options();
                $pdfOptions->set('defaultFont', 'Arial');
                $pdfOptions->set('isRemoteEnabled',true);

    //       Instantiate Dompdf with our options
                $dompdf = new Dompdf\Dompdf($pdfOptions);
                $dompdf->set_paper('Legal', 'landscape');
    //  $dompdf = new Dompdf();
                $dompdf->loadHtml($html);
                $dompdf->render();
                $dompdf->stream("ASISTENCIA_EMPRESA.pdf", ["Attachment" => false]);

}

public function asistencia_empresa_rpt(){
        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }

$emp_aporte=$educadorx->codigo;
$emp_razon=$educadorx->razon;

//$anho=$_POST['anho'];
//$mes=$_POST['mes'];

$anho=$_SESSION['anho'];
$mes=$_SESSION['mes'];

 //////////////
$anomas1=intval($anho);
$mesx=intval($mes)+1;
        if($mesx>12){
        $mesfin=1;
        $anomas1=intval($ano)+1;
        }else{
        $mesfin=$mesx;
        }

$mesmas1 = str_pad($mesfin, 2, "0", STR_PAD_LEFT);
$fechaprox = $anomas1.'-'.$mesmas1.'-01';

        $end_fecha = strtotime($fechaprox);

        $fecha_final1 = $end_fecha - 86400;
//echo $fecha_final1.'----';
        $dias_final = date("d",$fecha_final1);
//echo $fecha_final2.'----';
//        exit;

/////////////

$aprendices_listado = $this->aprendices_listado($anho,$mes,$emp_aporte);

var_dump($aprendices_listado);
exit;

/////////////

        $cod=$_SESSION['name'];
        $codemp = [
        'cod' => $cod,
        'mes' => $mes,
        'anho' => $anho,
        'dias' =>$dias_final,
        'razon' => $emp_razon,
        ];
    //setcookie("comp", $cod, time()+43600);
    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true]);
    $twig->addExtension(new \Twig\Extension\DebugExtension());
    $html= $twig->render('empresas/asistencia_emp_rpt.html.twig', ['codemp' => $codemp,'aprendices' => $aprendices_listado]);

//exit;
                $pdfOptions = new Dompdf\Options();
                $pdfOptions->set('defaultFont', 'Arial');
                $pdfOptions->set('isRemoteEnabled',true);

    //       Instantiate Dompdf with our options
                $dompdf = new Dompdf\Dompdf($pdfOptions);
                $dompdf->set_paper('Legal', 'landscape');
    //  $dompdf = new Dompdf();
                $dompdf->loadHtml($html);
                $dompdf->render();
                $dompdf->stream("ASISTENCIA_EMPRESA.pdf", ["Attachment" => false]);

}


public function asistencia_instituto_000(){
        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }


$ano=$_POST['anho'];
$mes_viene=$_POST['mes'];

$anho=$_SESSION['anho'];
$mes=$_SESSION['mes'];

        $empresas = [
        'codigo' => $educadorx->codigo,
        'razon' => $educadorx->razon,
        'ahno' => $ano,
        'mes' => $mes_viene,
        ];

$mes = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

$meshoy=intval($mes_viene)-1;
$mes_sigue=intval($mes_viene)+1;

$fecha_ini=$ano."-".$mes_viene."-01";
$fecha_fin=$ano."-".$mes_sigue."-01";
$dia_ini=date("d",strtotime($fecha_ini));
$dia_fin=date("d",strtotime($fecha_fin)-1440);

$mes_ahora=$mes[intval($mes_viene)-1];
$dia_mes = array("D","L","M","M","J","V","S");
$dia_semana=[];

for ($i = 1; $i <= $dia_fin; $i++) {
$fecha_ini=$ano."-".$mes_viene."-".$i;
$dia_sem=date("w",strtotime($fecha_ini));
$dia_semana[$i]=$dia_mes[$dia_sem];
}

for ($i = $dia_fin+1; $i <= 31; $i++) {
$dia_semana[$i]="";
}

 $aprendices = $this->Emp_Model->Aprendices_Buscar($educadorx->codigo);
    //var_dump($aprendices);
    //EXIT;

  //$asistencia = $this->Emp_Model->Asistencia_Buscar($aprendices,$empresas);
  $asistencia = $this->Emp_Model->asistencia_buscar_instituto($aprendices,$empresas);


    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
   // $layout = $twig->load('inc/base.html.twig');
    $html= $twig->render('empresas/asistencia.html.twig', ['asistencia' => $asistencia,'empresas' => $empresas,'dia_semana' => $dia_semana]);

                $pdfOptions = new Dompdf\Options();
                $pdfOptions->set('defaultFont', 'Arial');
                $pdfOptions->set('isRemoteEnabled',true);

    //       Instantiate Dompdf with our options
                $dompdf = new Dompdf\Dompdf($pdfOptions);
                $dompdf->set_paper('Legal', 'landscape');
    //  $dompdf = new Dompdf();
                $dompdf->loadHtml($html);
                $dompdf->render();
                $dompdf->stream("MOV_APRENDICES.pdf", ["Attachment" => false]);

}


public function asistencia_instituto_rpt(){
        $id=$_SESSION['session'];
        $educadorx = $this->Emp_Model->Emp_Buscar($id);
        if(!$educadorx){
        //    $_SESSION["k_msj"]='Profesor NO registrado...';
        redirect('users/login');
        exit;
        }


$ano=$_POST['anho'];
$mes_viene=$_POST['mes'];

$anho=$_SESSION['anho'];
$mes=$_SESSION['mes'];

        $empresas = [
        'codigo' => $educadorx->codigo,
        'razon' => $educadorx->razon,
        'ahno' => $ano,
        'mes' => $mes_viene,
        ];

$mes = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

$meshoy=intval($mes_viene)-1;
$mes_sigue=intval($mes_viene)+1;

$fecha_ini=$ano."-".$mes_viene."-01";
$fecha_fin=$ano."-".$mes_sigue."-01";
$dia_ini=date("d",strtotime($fecha_ini));
$dia_fin=date("d",strtotime($fecha_fin)-1440);

$mes_ahora=$mes[intval($mes_viene)-1];
$dia_mes = array("D","L","M","M","J","V","S");
$dia_semana=[];

for ($i = 1; $i <= $dia_fin; $i++) {
$fecha_ini=$ano."-".$mes_viene."-".$i;
$dia_sem=date("w",strtotime($fecha_ini));
$dia_semana[$i]=$dia_mes[$dia_sem];
}

for ($i = $dia_fin+1; $i <= 31; $i++) {
$dia_semana[$i]="";
}



 $aprendices = $this->Emp_Model->Aprendices_Buscar($educadorx->codigo);


  //$asistencia = $this->Emp_Model->Asistencia_Buscar($aprendices,$empresas);
  $asistencia = $this->Emp_Model->asistencia_buscar_instituto($aprendices,$empresas);
  //var_dump($asistencia);
  //EXIT;

    $loader = new \Twig\Loader\FilesystemLoader('../app/views');
    $twig = new \Twig\Environment($loader, ['cache' => '../app/cache','auto_reload' => true,'debug' => true,]);
   // $layout = $twig->load('inc/base.html.twig');
    $html= $twig->render('empresas/asistencia_instituto_rpt.html.twig', ['asistencia' => $asistencia,'empresas' => $empresas,'dia_semana' => $dia_semana,'dia_fin' => $dia_fin]);

                $pdfOptions = new Dompdf\Options();
                $pdfOptions->set('defaultFont', 'Arial');
                $pdfOptions->set('isRemoteEnabled',true);

    //       Instantiate Dompdf with our options
                $dompdf = new Dompdf\Dompdf($pdfOptions);
                $dompdf->set_paper('Legal', 'landscape');
    //  $dompdf = new Dompdf();
                $dompdf->loadHtml($html);
                $dompdf->render();
                $dompdf->stream("ASISTENCIA_INSTITUTO.pdf", ["Attachment" => false]);

}

public function aprendices_listado($anho,$mes,$emp_aporte){
$aprendices_mes = $this->Emp_Model->asistencia_buscar_emp($anho,$mes,$emp_aporte);
$array_aprendices_mes = json_decode(json_encode($aprendices_mes),true);

        $aprendices =[];
        $aprendicesx = $this->Emp_Model->Emp_Aprendices($emp_aporte);

foreach ($aprendicesx as $materia){
for ($i = 0; $i < count($array_aprendices_mes); $i++) {
    if($materia->cedula==$array_aprendices_mes[$i]['cedula']){
    $aprendices[] = [
    'cedula' => $materia->cedula,
    'aprendiz' => $materia->apellidos.' '.$materia->nombres,
    'dias' => $array_aprendices_mes[$i],
        'estatus' => $materia->tag1,
    'f_tag' => $materia->f_tag,
    ];
    }
}
}
return $aprendices;
}

public function aprendices_listado_instituto($anho,$mes,$emp_aporte){
$aprendices_mes = $this->Emp_Model->asistencia_buscar_instituto($anho,$mes,$emp_aporte);
$array_aprendices_mes = json_decode(json_encode($aprendices_mes),true);
var_dump($array_aprendices_mes);
exit;
        $aprendices =[];
        $aprendicesx = $this->Emp_Model->Emp_Aprendices($emp_aporte);

foreach ($aprendicesx as $materia){
for ($i = 0; $i < count($array_aprendices_mes); $i++) {
    if($materia->cedula==$array_aprendices_mes[$i]['cedula']){
    $aprendices[] = [
    'cedula' => $materia->cedula,
    'aprendiz' => $materia->apellidos.' '.$materia->nombres,
    'dias' => $array_aprendices_mes[$i],
        'estatus' => $materia->tag1,
    'f_tag' => $materia->f_tag,
    ];
    }
}
}
return $aprendices;
}
}